#
# iNomads configuration file.
#
# This file can be maintained either by an external text editor or the online
# iNomads maintenance screen "Maint" in the library "*plus/inomads/templates/maint.en"
#
# The format of this file is:
#  - Comment lines start with '#'
#  - Description of each paramater start with ';' 
#     (These will be used by the maintenance program and must appear before the value)
#
#  - Main title description lines start with ';;' 
#     (Placed in maintenance screen hdr and must be first)
#  - Values start with a alphabetic variable name followed by an equal sign and value
#  - Validation rules should be included before any variable and start with a $
#    Rules have two forms:  
#
#         $RULE=..... which apply standard iNomads validation processing or comma sep list of values
#         $LIST=..... indicates a drop box with the values from file/directory
#                      (When a directory the file names are converted to 
#                       lowercase if directory starts with *)
#                     If 2 equal signs then ..... is comma sep list to load
#         $CHECKBOX   Indicates the input is a checkbox with a 1/0 value (field will be numeric)
#         $FMT=.....  which apply standard BB formating.
#                     if LONG then the input will be a longer unformated input line
#                     if LONG followed by a number (i.e. LONG2) that number of extra lines will be 
#                     left before drawing the unformatted input line
#
#    Both may be provided.  These will be used by the maintenance program
#
# Comments that precede the value and start with "##" will be converted into Help text
#
# --------
# iNomads system parameters

;; The following are the iNomads system parameters that will be used
;; to control the system.


# -------- General settings
<General>

; Default starting directory for sessions.  If not specified then the directory
; defined for the web server will be used.
DIRECTORY=

# --------
; Default system language that will be used for any internal messages.
## The Language code will be appended to the file *msglib. in order to locate the proper
## language specific messages.
LANGUAGE=en


; Default transaction ID to use when launching without a TXID specification on the URL.
; Leave blank to force user to supply TXID.
## 'default' will run the iNomads Application Launchpad.
DEFAULT_TXID=admin


; Application sub-program that will be called to process the TXID and return the library and
; panel name to be processed. 
## Leave blank to have the system use the tx.conf file.
TXID_LOOKUP=

; Don't run spawned tasks in background when launching directly on server (Windows only).
## By default spawned task will be in background thus not able to be directly debugged.
## Select this option and the debug option below when developing on Windows.
$CHECKBOX
SHOW_TASKS=0

; Enable debugging/tracing by issuing a 'SHOW' of the background window when launching 
; a window.

$CHECKBOX
SHOW_DEBUG=0

; Pathname to file which defines the control overrides to be applied.
## This file allows you to externally hide, disable or otherwise edit specific controls (by name) throughout the system.
OVERRIDE_FILE=

<Processes>

; Remote process launching IP address or server name.
## If specified instead of spawning task from the HTTP server, the request is sent to this server.
LAUNCH_IP=

; Remote process launch port address. If not specified port 4093 is used.
LAUNCH_PORT=4093

; Only use the Remote process launch port (ignores Min/Max below)
## If you want the system to only use the launch port for access enable this option.
## When enabled the system will ignore the Minimum/Maxiumum launcher ports.
$CHECKBOX
Single_Port=0

; Remote process launch password.  Used to assist in securing the launch port process.
LAUNCH_PSWD=

; Pathname to the Web root directory as seen from the remote process server.
## This can contain either the pathname to a shared directory on the Web facing server or
## a base URL to the Web server (e.g. http://yourserver.ca, https://192.168.0.123)
LAUNCH_ROOT=

; Cryptographic seed value used to access Web root directory if not shared
## This value should be set to some random string to help assure security on
## access to iNomads directory on Web server. Only used if LAUNCH_ROOT is a URL.
CRYPTO_SEED=

; Minimum port to use for Launcher. (Both Min/Max must be provided).
## This is the minimum port number that the launcher will use to connect to the application server.
$Fmt=#####0
LAUNCH_MIN_PORT=0

; Maximum port to use for Launcher. (Both Min/Max must be provided).
## This is the maximum port number that the launcher will use to connect to the application server.
$Fmt=#####0
LAUNCH_MAX_PORT=0

# -------- Timeout settings
<Timeouts>
# --------

; Poll time in minutes for each browser session to send message to host confirming activity.
## Browser will send a dummy message to server periodically based on this value.

$FMT=###0
$RULE=0-1440
POLL_TIME=5

; Idle time timeout in minutes after which the session will be automatically terminated if no activity (other than polls).
## Maximum is 1440 minutes (1 day).  Zero indicates no Idle time timeout.

$FMT=###0
$RULE=0-1440
TIMEOUT=20

; Disconnect warning time in seconds.  The number of seconds warning the user will be given before an
; inactivity disconnect.
## Maximum of 300 (5 min).  If zero no warning issued.

$FMT=##0
$RULE=0-300
WARN_TIME=120

; Reconnect time in minutes.  How long a task will be kept alive after polls stop being received.
## Maximum is 1440 minutes (1 day).  Zero indicates drop task immediately after missed poll.

$FMT=###0
$RULE=0-1440
RECONNECT_TIME=30

; Internal network timeout in seconds for messages sent from server to application.
## Default is 300 (5 min).  Maximum is 36000 (ten hours). If zero no timeout set.

$FMT=####0
$RULE=0-36000
TCP_TIMEOUT=300

# -------- Template control
<Templates>


; System template to be used on panels that don't specify
; a specific template. 
## Template names are case insensitive and will refer to sub directories
## within the *plus/inomads/templates directory.

$list=*plus/inomads/templates
STD_TEMPLATE=default

; Enable caching of templates.  For debugging purposes it is desirable not to have the system cache
; the 'xxx.tpl' files.
## This should be enabled in a production system to improve performance.
$RULE=Yes,No
CACHE_TEMPLATES=No

# -------- Security settings
<Security>

; Password to administration functions within the system.
$FMT=Password
ADMIN_PSWD=

; Do you want the GET_FILE_BOX to have popup menus enabled that
; allow for file creation, deletion or renaming?
## For security on an open system we suggest you set this to NO.
$Rule=Yes,No
GET_FILE_POPUP=No

; List of directories that GET_FILE_BOX will allow access to.  
## Each entry in this list should be separated by a comma or semi-colon.
## If empty then GET_FILE_BOX is un-restricted (not recommended on open system).
$Fmt=LONG
GET_DIR_TBL=

; Disable to creation of DUMPs when an error occurs.

$CHECKBOX
NO_DUMPS=0

; Force Signon for all transactions regardless of TXID settings.
## If set users are prompted to sign on based on security file in default directory otherwise secure will only be requested for transactions that request it.
$CHECKBOX
ForceLogon=0

; Lock session to specific browser once started. 
## If set the session cannot be switched to another browser for debug or recover purposes.
$CHECKBOX
Inid_Lock=1


; Number of failed logon attempt before locking out browser
## Enter the number of failed logon attempts allowed before the browser will be locked out. 
## The lockout is done based on the browser INID.
$Fmt=##0
Failed_Logon_Tries=5

; How long (minutes) to lockout browser after failed logon
## Enter the number of minutes to lock out the user after a failed logon attempt
$Fmt=####0
Failed_Logon_Delay=10

; Log file to record invalid signon attempts
## Leave empty if you don't want invalid logon attempts logged
Failed_Logon_Log=

# -------- Linux/MAC Userid
<Userid>

! Settings to establish the Effective Userid on Linux/Mac/Aix

; Default Userid to use when running on Linux/MAC
EFFECTIVE_UID=
## If not setup will default to Userid that spawned process

; Default Groupid to use when running on Linux/MAC
EFFECTIVE_GID=
## If not setup will default to Group Id that spawned process

; Override effective UID to signon userid if possible
## When this is enabled and the user is prompted for Signon, the process will attempt to set effective
## userid to the user entered.  If it is not a valid userid then the default userid will be used.
$CHECKBOX
USE_SIGNON_UID=0

# -------- Compatbility settings
<Compatible>

; WindX error suppression enabled? 
## When running using WindX, often errors are ignored under turbo mode.
## Setting this option will allow iNomads to ignore many errors.
$RULE=Yes,No
WDX_ERR_IGNORE=No

; Program to call whenever the system detects a "[WDX]" or "[LCL]" prefix on a CALL directive.
## If left blank the CALL will be logged and simply return.
WDX_CALL_PROG=

; "Shell.explorer" mappings. Comma separated entries defining replacement text for URLs passed
; to the shell explorer emulation.                                     
## Each entry should be formatted as: old_string_text=new_string_text,..
$Fmt=LONG1
WEB_URL_MAP=

; Emulate the creation of standard NOMADS Name, Class, and Type tables.
$CHECKBOX
TBL_EMUL=1

; Enable "Auto-Close" option on folders (Not available in NOMADS).
$CHECKBOX
FLDR_AUTOCLOSE=0

# --------- System paths
<Pathnames>
; Pathname to PxPlus executable.
## This pathname is needed when running IIS (ASP.NET) or the Apache LoadModule.
$Fmt=LONG
PXPLUS_EXEC=

; System library directory.
## This pathname is needed when running IIS (ASP.NET) or the Apache LoadModule. If omitted same
## directory as PXPLUS_EXEC will be used.
$Fmt=LONG
PXPLUS_LIB=

; Relative URL location of system HTML files.  If blank then /syshtml will be used.
## You can override where the system gets the internal HTML files from in order to change
## the formatting/text. The value must point to the relative URL directory containing the files.
$Fmt=LONG
SYSHTML_DIR=

; Pathname to file used to map program supplied image paths to URLs.
## You can provide a keyed file to be checked whenever an image is requested. If a record 
## exists with the key for the requested image, the record contents will be used as URL.
$Fmt=LONG
IMAGE_MAP_FILE=

# --------- Misc items
<Misc>

; Two-digit year conversion range.  If zero force current century else max years in future
; that a two-digit year will allow before using date in the past.

## The deafult is 20 meaning if a 2 digit year is provided that exceeds 20 years into the future
## the year will be considered in the past.

$FMT=#0
CALENDAR_2DIG_YR=20

; URL tag that must be present in order to enable any command/console input.
## If this is non-blank, its value must be present on the launching URL in order to allow application
## to break out to console mode or request user input. Setting helps avoid hung sessions
## waiting for user input.

ALLOW_USER_INPUT=

; Character set to use on Web pages.
$VLIST==utf-8,iso-8859-1,
CHARACTER_SET=iso-8859-1

; Character set to use internally in application.
$VLIST==utf-8,iso-8859-1,
CHARACTER_SET_INT=iso-8859-1

; Enable F4 to close panels.
$CHECKBOX
F4_CLOSE=1
